#
# spec file for package rubygem-colored
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-colored
Version:        1.2
Release:        12.1
%define mod_name colored
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/defunkt/colored
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Add some color to your life
License:        MIT
Group:          Development/Languages/Ruby

%description
>> puts "this is red".red
>> puts "this is red with a blue background (read: ugly)".red_on_blue
>> puts "this is red with an underline".red.underline
>> puts "this is really bold and really blue".bold.blue
>> logger.debug "hey this is broken!".red_on_yellow     # in rails
>> puts Color.red "This is red" # but this part is mostly untested

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README" \
  -f

%gem_packages

%changelog
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Wed Aug 14 2013 mrueckert@suse.de
- update to new gem2rpm template
* Fri Jun 29 2012 cfarrell@suse.com
- license update: MIT
  See LICENSE.txt
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 1.2
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Jan  7 2010 prusnak@suse.cz
- created package
